> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contact Details

> Get contact details based on their Contact ID or Email



## OpenAPI

````yaml /openapi-v1.json get /contacts/{id}
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /contacts/{id}:
    get:
      tags:
        - Contacts
      summary: Get Contact Details
      description: Get contact details based on their Contact ID or Email
      operationId: get-contact-details
      parameters:
        - name: id
          in: path
          required: true
          description: Contact id or Email
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - city
                      - country
                      - custom_fields
                      - department
                      - dob
                      - email
                      - firstname
                      - id
                      - industry
                      - job_title
                      - last_name
                      - lead_source
                      - list_id
                      - middle_name
                      - name
                      - company_name
                      - phone
                      - salary
                      - state
                      - user_ip
                      - postal_code
                    properties:
                      city:
                        type: string
                        minLength: 1
                      country:
                        type: string
                        minLength: 1
                      custom_fields:
                        type: object
                      department:
                        type: string
                        minLength: 1
                      dob:
                        type: string
                        minLength: 1
                      email:
                        type: string
                        minLength: 1
                      firstname:
                        type: string
                        minLength: 1
                      industry:
                        type: string
                        minLength: 1
                      job_title:
                        type: string
                        minLength: 1
                      last_name:
                        type: string
                        minLength: 1
                      lead_source:
                        type: string
                        minLength: 1
                      list_id:
                        type: string
                        minLength: 1
                      middle_name:
                        type: string
                        minLength: 1
                      first_name:
                        type: string
                        minLength: 1
                      company_name:
                        type: string
                        minLength: 1
                      phone:
                        type: string
                        minLength: 1
                      salary:
                        type: string
                        minLength: 1
                      state:
                        type: string
                        minLength: 1
                      user_ip:
                        type: string
                        minLength: 1
                      postal_code:
                        type: string
                        minLength: 1
                      tags:
                        type: string
                required:
                  - data
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          minLength: 1
                        message:
                          type: string
                          minLength: 1
              examples:
                example-1:
                  value:
                    errors:
                      - field: id
                        message: Record not found with the given Id
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````